# dpx::Header Struct Reference

Complete DPX Header. More...

`#include <DPXHeader.h>`

Inherits dpx::GenericHeader, and dpx::IndustryHeader.

Collaboration diagram for dpx::Header:
[legend]

List of all members.

## Public Member Functions
| Header ()
void | Reset ()
| Set the header data to a known start state.
bool | Read (InStream *)
| Set the Input Stream object to read header from.
bool | Write (OutStream *)
| Set the Output Stream object to write header to.
bool | WriteOffsetData (OutStream *)
bool | Validate ()
| Validate the header.
bool | RequiresByteSwap () const
| Does header require endian byte swap.
const U32 | Size () const
| Returns the size of the header.
void | CalculateOffsets ()
| Calculate all of the offset members in the header.
bool | DatumSwap (const int element) const
| Determine whether the components of an element should be swapped.
void | SetDatumSwap (const bool swap)
| Set whether reader/writer should swap component ordering.
bool | Check ()
U32 | Height () const
| Height of the element adjusted for orientation.
U32 | Width () const
| Width of the element adjusted for orientation.
int | ImageElementCount () const
| Number of Active Elements in the Image.
void | CalculateNumberOfElements ()
| Set member numberOfElements based on channel structure.
int | ImageElementComponentCount (const int element) const
| Number of components for the element.
DataSize | ComponentDataSize (const int element) const
| DataSize required for individual image element components.
int | ComponentByteCount (const int element) const
| Byte count of data element components.
File Information Methods
U32 | MagicNumber () const
| Get magic number, used for byte ordering identification.
U32 | ImageOffset () const
| Get the offset in bytes to the start of the first image element.
void | SetImageOffset (const U32 offset)
| Set the offset in bytes to the start of the first image element.
void | Version (char *v) const
| Get current version string of header.
void | SetVersion (const char *v)
| Set the version string.
U32 | FileSize () const
| Get the size of the entire file.
void | SetFileSize (const U32 fs)
| Set the size of the entire file.
U32 | DittoKey () const
| Get the ditto key.
void | SetDittoKey (const U32 key)
| Set the ditto key.
U32 | GenericSize () const
| Get the size of the generic section within the header.
U32 | IndustrySize () const
| Get the size of the industry section within the header.
U32 | UserSize () const
| Get the size of the user data.
void | SetUserSize (const U32 size)
| Set the size of the user data.
void | FileName (char *fn) const
| Get the file name.
void | SetFileName (const char *fn)
| Set the file name.
void | CreationTimeDate (char *ct) const
| Get the creation time/date.
void | SetCreationTimeDate (const char *ct)
| Set the creation time/date.
void | SetCreationTimeDate (const long secs)
| Set the creation time/date.
void | Creator (char *creat) const
| Get the creator.
void | SetCreator (const char *creat)
| Set the creator.
void | Project (char *prj) const
| Get the project.
void | SetProject (const char *prj)
| Set the project.
void | Copyright (char *copy) const
| Get the copyright information.
void | SetCopyright (const char *copy)
| Set the copyright information.
U32 | EncryptKey () const
| Get the encryption key (no encryption is 0xffffffff).
void | SetEncryptKey (const U32 key)
| Set the encryption key (no encryption is 0xffffffff).
Image Information Methods
Orientation | ImageOrientation () const
| Get the image orientation.
void | SetImageOrientation (const Orientation orient)
| Set the image orientation.
U16 | NumberOfElements () const
| Get the number of elements.
void | SetNumberOfElements (const U16 num)
| Set the number of elements.
U32 | PixelsPerLine () const
| Get the pixels per line.
void | SetPixelsPerLine (const U32 ppl)
| Set the pixels per line.
U32 | LinesPerElement () const
| Get the lines per element.
void | SetLinesPerElement (const U32 lpe)
| Set the lines per element.
U32 | DataSign (const int i) const
| Get the data sign (0 = unsigned, 1 = signed).
void | SetDataSign (const int i, const U32 sign)
| Set the data sign (0 = unsigned, 1 = signed).
U32 | LowData (const int i) const
| Get the minimum data value.
void | SetLowData (const int i, const U32 data)
| Set the minimum data value.
R32 | LowQuantity (const int i) const
| Get the quantity of minimum data value.
void | SetLowQuantity (const int i, const R32 quant)
| Set the quantity of minimum data value.
U32 | HighData (const int i) const
| Get the maximum data value.
void | SetHighData (const int i, const U32 data)
| Set the maximum data value.
R32 | HighQuantity (const int i) const
| Get the quantity of maximum data value.
void | SetHighQuantity (const int i, const R32 quant)
| Set the quantity of maximum data value.
Descriptor | ImageDescriptor (const int i) const
| Get the component defintion.
void | SetImageDescriptor (const int i, const Descriptor desc)
| Set the component defintion.
Characteristic | Transfer (const int i) const
| Get the amplitude transfer function.
void | SetTransfer (const int i, const Characteristic ch)
| Set the amplitude transfer function.
Characteristic | Colorimetric (const int i) const
| Get the color reference.
void | SetColorimetric (const int i, const Characteristic c)
| Set the color reference.
U8 | BitDepth (const int i) const
| Get the bit size of each component.
void | SetBitDepth (const int i, const U8 depth)
| Set the bit size of each component.
Packing | ImagePacking (const int i) const
| Get the data packing mode.
void | SetImagePacking (const int i, const Packing pack)
| Set the data packing mode.
Encoding | ImageEncoding (const int i) const
| Get the encoding method.
void | SetImageEncoding (const int i, const Encoding enc)
| Set the encoding method.
U32 | DataOffset (const int i) const
| Get the offset to element.
void | SetDataOffset (const int i, const U32 offset)
| Set the offset to element.
U32 | EndOfLinePadding (const int i) const
| Get the number of bytes padding the end of each line.
void | SetEndOfLinePadding (const int i, const U32 eolp)
| Set the number of bytes padding the end of each line.
U32 | EndOfImagePadding (const int i) const
| Get the number of bytes padding the end of the image element.
void | SetEndOfImagePadding (const int i, const U32 eoip)
| Set the number of bytes padding the end of the image element.
void | Description (const int i, char *desc) const
| Get the element description.
void | SetDescription (const int i, const char *desc)
| Set the element description.
Image Origination Methods
U32 | XOffset () const
| Get the line offset (in pixels) from the first pixel in original image.
void | SetXOffset (const U32 offset)
| Set the line offset (in pixels) from the first pixel in original image.
U32 | YOffset () const
| Get the frame offset (in lines) from the first line in original image.
void | SetYOffset (const U32 offset)
| Set the frame offset (in lines) from the first line in original image.
R32 | XCenter () const
| Get the X image center in pixels.
void | SetXCenter (const R32 center)
| Set the X image center in pixels.
R32 | YCenter () const
| Get the Y image center in pixels.
void | SetYCenter (const R32 center)
| Set the Y image center in pixels.
U32 | XOriginalSize () const
| Get the number of pixels per line in the original image.
void | SetXOriginalSize (const U32 size)
| GSt the number of pixels per line in the original image.
U32 | YOriginalSize () const
| Get the number of lines per image in the original image.
void | SetYOriginalSize (const U32 size)
| Set the number of lines per image in the original image.
void | SourceImageFileName (char *fn) const
| Get the source image file name that this image was extracted.
void | SetSourceImageFileName (const char *fn)
| Set the source image file name that this image was extracted.
void | SourceTimeDate (char *td) const
| Get the source image time and date that this image was extracted.
void | SetSourceTimeDate (const char *td)
| Set the source image time and date that this image was extracted.
void | SetSourceTimeDate (const long secs)
| Set the source image time and date that this image was extracted.
void | InputDevice (char *dev) const
| Get the input device name.
void | SetInputDevice (const char *dev)
| Set the input device name.
void | InputDeviceSerialNumber (char *sn) const
| Get the input device serial number.
void | SetInputDeviceSerialNumber (const char *sn)
| Set the input device serial number.
U16 | Border (const int i) const
| Get the pixel offset for the border region.
void | SetBorder (const int i, const U16 bord)
| Set the pixel offset for the border region.
U32 | AspectRatio (const int i) const
| Get the pixel aspect ratio (horizontal:vertical).
void | SetAspectRatio (const int i, const U32 ar)
| Set the pixel aspect ratio (horizontal:vertical).
R32 | XScannedSize () const
| Get the horizontal size of the original scanned optical image.
void | SetXScannedSize (const R32 size)
| Set the horizontal size of the original scanned optical image.
R32 | YScannedSize () const
| Get the vertical size of the original scanned optical image.
void | SetYScannedSize (const R32 size)
| Set the vertical size of the original scanned optical image.
Motion Picture Industry Specific Methods
void | FilmEdgeCode (char *edge) const
| Get the film edge code information that is machine readable.
void | SetFileEdgeCode (const char *edge)
| Set the film edge code information that is machine readable.
void | Format (char *fmt) const
| Get the format (e.g., Academy).
void | SetFormat (const char *fmt)
| Set the format (e.g., Academy).
U32 | FramePosition () const
| Get the frame position in sequence.
void | SetFramePosition (const U32 pos)
| Set the frame position in sequence.
U32 | SequenceLength () const
| Get the total number of frames in sequence.
void | SetSequenceLength (const U32 len)
| Set the total number of frames in sequence.
U32 | HeldCount () const
| Get the how many sequential frames for which to hold current frame.
void | SetHeldCount (const U32 count)
| Set the how many sequential frames for which to hold current frame.
R32 | FrameRate () const
| Get the frame rate (frames / second).
void | SetFrameRate (const R32 rate)
| Set the frame rate (frames / second).
R32 | ShutterAngle () const
| Get the shutter angle of the motion picture camera.
void | SetShutterAngle (const R32 angle)
| Set the shutter angle of the motion picture camera.
void | FrameId (char *id) const
| Get the user-defined frame identification.
void | SetFrameId (const char *id)
| Set the user-defined frame identification.
void | SlateInfo (char *slate) const
| Get the production information from the camera slate.
void | SetSlateInfo (const char *slate)
| Set the production information from the camera slate.
Television Industry Specific Methods
void | TimeCode (char *str) const
| Get the time code.
void | SetTimeCode (const char *str)
| Set the time code.
void | UserBits (char *str) const
| Get the user bits.
void | SetUserBits (const char *str)
| Set the user bits.
U8 | Interlace () const
| Get the interlace (0 = noninterlace, 1 = 2:1 interlace).
void | SetInterlace (const U8 lace)
| Set the interlace (0 = noninterlace, 1 = 2:1 interlace).
U8 | FieldNumber () const
| Get the field number of the video decoded.
void | SetFieldNumber (const U8 fn)
| Set the field number of the video decoded.
VideoSignal | Signal () const
| Get the video sournce.
void | SetSignal (const VideoSignal vs)
| Set the video sournce.
R32 | HorizontalSampleRate () const
| Get the clock rate at which samples were aquired.
void | SetHorizontalSampleRate (const R32 rate)
| Set the clock rate at which samples were aquired.
R32 | VerticalSampleRate () const
| Get the rate at which scanning the whole image is repeated.
void | SetVerticalSampleRate (const R32 rate)
| Set the rate at which scanning the whole image is repeated.
R32 | TemporalFrameRate () const
| Get the applied gamma correction.
void | SetTemporalFrameRate (const R32 rate)
| Set the applied gamma correction.
R32 | TimeOffset () const
| Get the time offset from sync to first pixel.
void | SetTimeOffset (const R32 offset)
| Set the time offset from sync to first pixel.
R32 | Gamma () const
| Get the applied gamma correction.
void | SetGamma (const R32 g)
| Set the applied gamma correction.
R32 | BlackLevel () const
| Get the reference black level.
void | SetBlackLevel (const R32 bl)
| Set the reference black level.
R32 | BlackGain () const
| Get the gain applied to signals below the breakpoint.
void | SetBlackGain (const R32 bg)
| Set the gain applied to signals below the breakpoint.
R32 | BreakPoint () const
| Get the breakpoint which gamma is applied.
void | SetBreakPoint (const R32 bp)
| Set the breakpoint which gamma is applied.
R32 | WhiteLevel () const
| Get the reference white level.
void | SetWhiteLevel (const R32 wl)
| Set the reference white level.
R32 | IntegrationTimes () const
| Get the temporal sampling rate of television cameras.
void | SetIntegrationTimes (const R32 times)
| Set the temporal sampling rate of television cameras.
## Static Public Member Functions
static bool | ValidMagicCookie (const U32 magic)
| Check magic cookie.
static int | DataSizeByteCount (const DataSize ds)
## Public Attributes
File Information Members
U32 | magicNumber
| Indicates start of DPX image file and is used to determine byte order.
U32 | imageOffset
| Offset to image data (in bytes).
ASCII | version [8]
| Version number of header format.
U32 | fileSize
| Total file size (in bytes).
U32 | dittoKey
| Ditto Key (0 = same as previous frame, 1 = new).
U32 | genericSize
| Generic Header length (in bytes).
U32 | industrySize
| Industry Header length (in bytes).
U32 | userSize
| User defined header length (in bytes).
ASCII | fileName [100]
| File name.
ASCII | creationTimeDate [24]
| Create date time /see DateTimeFormat.
ASCII | creator [100]
| Creator.
ASCII | project [200]
| Project name.
ASCII | copyright [200]
| Copyright statement.
U32 | encryptKey
| Encryption Key (0xffffffff if unencrypted).
ASCII | reserved1 [104]
| Reserved.
Image Information Members
U16 | imageOrientation
| Image orientation.
U16 | numberOfElements
| Number of elements (1-8).
U32 | pixelsPerLine
| Pixels per line.
U32 | linesPerElement
| Lines per element.
ImageElement | chan [MAX_ELEMENTS]
| Image element data structures.
ASCII | reserved2 [52]
| Reserved.
Image Origination Members
U32 | xOffset
| X offset.
U32 | yOffset
| Y offset.
R32 | xCenter
| X center.
R32 | yCenter
| Y center.
U32 | xOriginalSize
| X original size.
U32 | yOriginalSize
| Y original size.
ASCII | sourceImageFileName [100]
| Source image file name.
ASCII | sourceTimeDate [24]
| Source date and time /see DateTimeFormat.
ASCII | inputDevice [32]
| Input device name.
ASCII | inputDeviceSerialNumber [32]
| Input device serial number.
U16 | border [4]
| Border validity.
U32 | aspectRatio [2]
| Pixel aspect ratio (horizontal:vertical).
R32 | xScannedSize
| X scanned size.
R32 | yScannedSize
| Y scanned size.
ASCII | reserved3 [20]
| Reserved.
Motion Picture Industry Specific Members
ASCII | filmManufacturingIdCode [2]
| Film edge code manufacturing ID code.
ASCII | filmType [2]
| Film edge code type.
ASCII | perfsOffset [2]
| Film edge code offset in perfs.
ASCII | prefix [6]
| Film edge code prefix.
ASCII | count [4]
| Film edge code count.
ASCII | format [32]
| Format string, e.g. Academy.
U32 | framePosition
| Frame position in sequence.
U32 | sequenceLength
| Sequence length.
U32 | heldCount
| Held count (1 = default).
R32 | frameRate
| Frame rate of original (frame / sec).
R32 | shutterAngle
| Shutter angle of camera (degrees).
ASCII | frameId [32]
| Frame identification, e.g. keyframe.
ASCII | slateInfo [100]
| Slate information.
ASCII | reserved4 [56]
| Reserved.
Television Industry Specific Members
U32 | timeCode
| Time code.
U32 | userBits
| User bits.
U8 | interlace
| Interlace (0 = noninterlace, 1 = 2:1 interlace).
U8 | fieldNumber
| Field number.
U8 | videoSignal
| Video signal.
U8 | zero
| Structure alignment padding.
R32 | horizontalSampleRate
| Horizontal sample rate (in Hz).
R32 | verticalSampleRate
| Vertical sample rate (in Hz).
R32 | temporalFrameRate
| Temporal sample rate (in Hz).
R32 | timeOffset
| Time offset from sync to first pixel (in ms).
R32 | gamma
| Gamma.
R32 | blackLevel
| Black level.
R32 | blackGain
| Black gain.
R32 | breakPoint
| Break point.
R32 | whiteLevel
| White level.
R32 | integrationTimes
| Integration time (in sec).
ASCII | reserved5 [76]
| Reserved.
## Protected Member Functions
bool | DetermineByteSwap (const U32 magic) const
U32 | TCFromString (const char *str) const
## Protected Attributes
bool | datumSwap

## Detailed Description

Complete DPX Header.

## Constructor & Destructor Documentation

dpx::Header::Header | ( |  | ) |

## Member Function Documentation

U32 dpx::GenericHeader::AspectRatio | ( | const int | i | ) | const`[inline, inherited]`

Get the pixel aspect ratio (horizontal:vertical).

Parameters:

  | i | aspect ratio index (0-1)

Returns:
  ratio quantity

U8 dpx::GenericHeader::BitDepth | ( | const int | i | ) | const`[inline, inherited]`

Get the bit size of each component.

Parameters:

  | i | element index (0-7)

Returns:
  bit size

R32 dpx::IndustryHeader::BlackGain | ( |  | ) | const`[inline, inherited]`

Get the gain applied to signals below the breakpoint.

Returns:
  value

R32 dpx::IndustryHeader::BlackLevel | ( |  | ) | const`[inline, inherited]`

Get the reference black level.

Returns:
  value

U16 dpx::GenericHeader::Border | ( | const int | i | ) | const`[inline, inherited]`

Get the pixel offset for the border region.

There are 4 border pixel offsets that define a region -- X-left, X-right, Y-top, Y-bottom

Parameters:

  | i | border index (0-3)

Returns:
  offset in pixels

R32 dpx::IndustryHeader::BreakPoint | ( |  | ) | const`[inline, inherited]`

Get the breakpoint which gamma is applied.

Returns:
  value

void dpx::GenericHeader::CalculateNumberOfElements | ( |  | ) | `[inherited]`

Set member numberOfElements based on channel structure.

void dpx::Header::CalculateOffsets | ( |  | ) |

Calculate all of the offset members in the header.

bool dpx::Header::Check | ( |  | ) |

Characteristic dpx::GenericHeader::Colorimetric | ( | const int | i | ) | const`[inline, inherited]`

Get the color reference.

Parameters:

  | i | element index (0-7)

Returns:
  colorimetric specification

int dpx::GenericHeader::ComponentByteCount | ( | const int | element | ) | const`[inherited]`

Byte count of data element components.

Returns:
  byte count

dpx::DataSize dpx::GenericHeader::ComponentDataSize | ( | const int | element | ) | const`[inherited]`

DataSize required for individual image element components.

Returns:
  datasize of element

void dpx::GenericHeader::Copyright | ( | char * | copy | ) | const`[inline, inherited]`

Get the copyright information.

Parameters:

  | copy | buffer to store copyright string (200+1 chars)

void dpx::GenericHeader::CreationTimeDate | ( | char * | ct | ) | const`[inline, inherited]`

Get the creation time/date.

Parameters:

  | ct | buffer to store creation time/date (24+1 chars)

void dpx::GenericHeader::Creator | ( | char * | creat | ) | const`[inline, inherited]`

Get the creator.

Parameters:

  | creat | buffer to store creator (100+1 chars)

U32 dpx::GenericHeader::DataOffset | ( | const int | i | ) | const`[inline, inherited]`

Get the offset to element.

Parameters:

  | i | element index (0-7)

Returns:
  offset in bytes from the start of the file

U32 dpx::GenericHeader::DataSign | ( | const int | i | ) | const`[inline, inherited]`

Get the data sign (0 = unsigned, 1 = signed).

Parameters:

  | i | element index (0-7)

Returns:
  data sign

int dpx::GenericHeader::DataSizeByteCount | ( | const DataSize | ds | ) | `[static, inherited]`

bool dpx::Header::DatumSwap | ( | const int | element | ) | const

Determine whether the components of an element should be swapped.

See also:
  ComponentOrdering

Parameters:

  | element | image element

Returns:
  swap order of components

void dpx::GenericHeader::Description | ( | const int | i,
|  | char * | desc |
| ) |  |  | const`[inline, inherited]`

Get the element description.

Parameters:

  | i | element index (0-7)
  | desc | buffer to write description string (32+1 chars)

bool dpx::Header::DetermineByteSwap | ( | const U32 | magic | ) | const`[protected]`

U32 dpx::GenericHeader::DittoKey | ( |  | ) | const`[inline, inherited]`

Get the ditto key.

Returns:
  ditto key

U32 dpx::GenericHeader::EncryptKey | ( |  | ) | const`[inline, inherited]`

Get the encryption key (no encryption is 0xffffffff).

Returns:
  encryption key

U32 dpx::GenericHeader::EndOfImagePadding | ( | const int | i | ) | const`[inline, inherited]`

Get the number of bytes padding the end of the image element.

Parameters:

  | i | element index (0-7)

Returns:
  count

U32 dpx::GenericHeader::EndOfLinePadding | ( | const int | i | ) | const`[inline, inherited]`

Get the number of bytes padding the end of each line.

Parameters:

  | i | element index (0-7)

Returns:
  count

U8 dpx::IndustryHeader::FieldNumber | ( |  | ) | const`[inline, inherited]`

Get the field number of the video decoded.

Returns:
  field number

void dpx::GenericHeader::FileName | ( | char * | fn | ) | const`[inline, inherited]`

Get the file name.

Parameters:

  | fn | buffer to store filename (100+1 chars)

U32 dpx::GenericHeader::FileSize | ( |  | ) | const`[inline, inherited]`

Get the size of the entire file.

Returns:
  file size in bytes

void dpx::IndustryHeader::FilmEdgeCode | ( | char * | edge | ) | const`[inherited]`

Get the film edge code information that is machine readable.

Parameters:

  | edge | buffer to write film edge code information (16+1 chars)

void dpx::IndustryHeader::Format | ( | char * | fmt | ) | const`[inline, inherited]`

Get the format (e.g., Academy).

Parameters:

  | fmt | buffer to write format information (32+1 chars)

void dpx::IndustryHeader::FrameId | ( | char * | id | ) | const`[inline, inherited]`

Get the user-defined frame identification.

Parameters:

  | id | buffer to write frame identification (32+1 chars)

U32 dpx::IndustryHeader::FramePosition | ( |  | ) | const`[inline, inherited]`

Get the frame position in sequence.

Returns:
  position

R32 dpx::IndustryHeader::FrameRate | ( |  | ) | const`[inline, inherited]`

Get the frame rate (frames / second).

Returns:
  rate

R32 dpx::IndustryHeader::Gamma | ( |  | ) | const`[inline, inherited]`

Get the applied gamma correction.

Returns:
  gamma

U32 dpx::GenericHeader::GenericSize | ( |  | ) | const`[inline, inherited]`

Get the size of the generic section within the header.

Returns:
  generic header size in bytes

dpx::U32 dpx::Header::Height | ( |  | ) | const

Height of the element adjusted for orientation.

Returns:
  height

U32 dpx::IndustryHeader::HeldCount | ( |  | ) | const`[inline, inherited]`

Get the how many sequential frames for which to hold current frame.

Returns:
  count

U32 dpx::GenericHeader::HighData | ( | const int | i | ) | const`[inline, inherited]`

Get the maximum data value.

Parameters:

  | i | element index (0-7)

Returns:
  maximum value

R32 dpx::GenericHeader::HighQuantity | ( | const int | i | ) | const`[inline, inherited]`

Get the quantity of maximum data value.

Parameters:

  | i | element index (0-7)

Returns:
  quantity

R32 dpx::IndustryHeader::HorizontalSampleRate | ( |  | ) | const`[inline, inherited]`

Get the clock rate at which samples were aquired.

Returns:
  rate

Descriptor dpx::GenericHeader::ImageDescriptor | ( | const int | i | ) | const`[inline, inherited]`

Get the component defintion.

Parameters:

  | i | element index (0-7)

Returns:
  component descriptor

int dpx::GenericHeader::ImageElementComponentCount | ( | const int | element | ) | const`[inherited]`

Number of components for the element.

Returns:
  number of components

int dpx::GenericHeader::ImageElementCount | ( |  | ) | const`[inherited]`

Number of Active Elements in the Image.

Returns:
  element count

Encoding dpx::GenericHeader::ImageEncoding | ( | const int | i | ) | const`[inline, inherited]`

Get the encoding method.

Parameters:

  | i | element index (0-7)

Returns:
  encoding method

U32 dpx::GenericHeader::ImageOffset | ( |  | ) | const`[inline, inherited]`

Get the offset in bytes to the start of the first image element.

Returns:
  offset

Orientation dpx::GenericHeader::ImageOrientation | ( |  | ) | const`[inline, inherited]`

Get the image orientation.

Returns:
  orientation enum

Packing dpx::GenericHeader::ImagePacking | ( | const int | i | ) | const`[inline, inherited]`

Get the data packing mode.

Parameters:

  | i | element index (0-7)

Returns:
  packing method

U32 dpx::GenericHeader::IndustrySize | ( |  | ) | const`[inline, inherited]`

Get the size of the industry section within the header.

Returns:
  industry header size in bytes

void dpx::GenericHeader::InputDevice | ( | char * | dev | ) | const`[inline, inherited]`

Get the input device name.

Parameters:

  | dev | buffer to write device (32+1)

void dpx::GenericHeader::InputDeviceSerialNumber | ( | char * | sn | ) | const`[inline, inherited]`

Get the input device serial number.

Parameters:

  | sn | buffer to write device serial number (32+1)

R32 dpx::IndustryHeader::IntegrationTimes | ( |  | ) | const`[inline, inherited]`

Get the temporal sampling rate of television cameras.

Returns:
  rate

U8 dpx::IndustryHeader::Interlace | ( |  | ) | const`[inline, inherited]`

Get the interlace (0 = noninterlace, 1 = 2:1 interlace).

Returns:
  interlace value

U32 dpx::GenericHeader::LinesPerElement | ( |  | ) | const`[inline, inherited]`

Get the lines per element.

Returns:
  lines count

U32 dpx::GenericHeader::LowData | ( | const int | i | ) | const`[inline, inherited]`

Get the minimum data value.

Parameters:

  | i | element index (0-7)

Returns:
  minimum value

R32 dpx::GenericHeader::LowQuantity | ( | const int | i | ) | const`[inline, inherited]`

Get the quantity of minimum data value.

Parameters:

  | i | element index (0-7)

Returns:
  quantity

U32 dpx::GenericHeader::MagicNumber | ( |  | ) | const`[inline, inherited]`

Get magic number, used for byte ordering identification.

Returns:
  magic number

U16 dpx::GenericHeader::NumberOfElements | ( |  | ) | const`[inline, inherited]`

Get the number of elements.

Returns:
  element count

U32 dpx::GenericHeader::PixelsPerLine | ( |  | ) | const`[inline, inherited]`

Get the pixels per line.

Returns:
  pixel count

void dpx::GenericHeader::Project | ( | char * | prj | ) | const`[inline, inherited]`

Get the project.

Parameters:

  | prj | buffer to store project (200+1 chars)

bool dpx::Header::Read | ( | InStream * | io | ) |

Set the Input Stream object to read header from.

bool dpx::Header::RequiresByteSwap | ( |  | ) | const`[inline]`

Does header require endian byte swap.

Returns:
  swap required true/false

void dpx::Header::Reset | ( |  | ) |

Set the header data to a known start state.

Reimplemented from dpx::GenericHeader.

U32 dpx::IndustryHeader::SequenceLength | ( |  | ) | const`[inline, inherited]`

Get the total number of frames in sequence.

Returns:
  length

void dpx::GenericHeader::SetAspectRatio | ( | const int | i,
|  | const U32 | ar |
| ) |  |  | `[inline, inherited]`

Set the pixel aspect ratio (horizontal:vertical).

Parameters:

  | i | aspect ratio index (0-1)
  | ar | ratio quantity

void dpx::GenericHeader::SetBitDepth | ( | const int | i,
|  | const U8 | depth |
| ) |  |  | `[inline, inherited]`

Set the bit size of each component.

Parameters:

  | i | element index (0-7)
  | depth | bit size

void dpx::IndustryHeader::SetBlackGain | ( | const R32 | bg | ) | `[inline, inherited]`

Set the gain applied to signals below the breakpoint.

Parameters:

  | bg | value

void dpx::IndustryHeader::SetBlackLevel | ( | const R32 | bl | ) | `[inline, inherited]`

Set the reference black level.

Parameters:

  | bl | value

void dpx::GenericHeader::SetBorder | ( | const int | i,
|  | const U16 | bord |
| ) |  |  | `[inline, inherited]`

Set the pixel offset for the border region.

There are 4 border pixel offsets that define a region -- X-left, X-right, Y-top, Y-bottom

Parameters:

  | i | border index (0-3)
  | bord | offset in pixels

void dpx::IndustryHeader::SetBreakPoint | ( | const R32 | bp | ) | `[inline, inherited]`

Set the breakpoint which gamma is applied.

Parameters:

  | bp | value

void dpx::GenericHeader::SetColorimetric | ( | const int | i,
|  | const Characteristic | c |
| ) |  |  | `[inline, inherited]`

Set the color reference.

Parameters:

  | i | element index (0-7)
  | c | colorimetric specification

void dpx::GenericHeader::SetCopyright | ( | const char * | copy | ) | `[inline, inherited]`

Set the copyright information.

Parameters:

  | copy | buffer with copyright string

void dpx::GenericHeader::SetCreationTimeDate | ( | const long | secs | ) | `[inherited]`

Set the creation time/date.

Parameters:

  | secs | number of seconds since January 1, 1970 00:00

void dpx::GenericHeader::SetCreationTimeDate | ( | const char * | ct | ) | `[inline, inherited]`

Set the creation time/date.

Parameters:

  | ct | buffer with creation time/date

void dpx::GenericHeader::SetCreator | ( | const char * | creat | ) | `[inline, inherited]`

Set the creator.

Parameters:

  | creat | buffer with creator

void dpx::GenericHeader::SetDataOffset | ( | const int | i,
|  | const U32 | offset |
| ) |  |  | `[inline, inherited]`

Set the offset to element.

Parameters:

  | i | element index (0-7)
  | offset | offset in bytes from the start of the file

void dpx::GenericHeader::SetDataSign | ( | const int | i,
|  | const U32 | sign |
| ) |  |  | `[inline, inherited]`

Set the data sign (0 = unsigned, 1 = signed).

Parameters:

  | i | element index (0-7)
  | sign | data sign

void dpx::Header::SetDatumSwap | ( | const bool | swap | ) |

Set whether reader/writer should swap component ordering.

Parameters:

  | swap | allow swapping true/false

void dpx::GenericHeader::SetDescription | ( | const int | i,
|  | const char * | desc |
| ) |  |  | `[inline, inherited]`

Set the element description.

Parameters:

  | i | element index (0-7)
  | desc | buffer

void dpx::GenericHeader::SetDittoKey | ( | const U32 | key | ) | `[inline, inherited]`

Set the ditto key.

Parameters:

  | key | ditto key

void dpx::GenericHeader::SetEncryptKey | ( | const U32 | key | ) | `[inline, inherited]`

Set the encryption key (no encryption is 0xffffffff).

Parameters:

  | key | encryption key

void dpx::GenericHeader::SetEndOfImagePadding | ( | const int | i,
|  | const U32 | eoip |
| ) |  |  | `[inline, inherited]`

Set the number of bytes padding the end of the image element.

Parameters:

  | i | element index (0-7)
  | eoip | count

void dpx::GenericHeader::SetEndOfLinePadding | ( | const int | i,
|  | const U32 | eolp |
| ) |  |  | `[inline, inherited]`

Set the number of bytes padding the end of each line.

Parameters:

  | i | element index (0-7)
  | eolp | count

void dpx::IndustryHeader::SetFieldNumber | ( | const U8 | fn | ) | `[inline, inherited]`

Set the field number of the video decoded.

Parameters:

  | fn | field number

void dpx::IndustryHeader::SetFileEdgeCode | ( | const char * | edge | ) | `[inherited]`

Set the film edge code information that is machine readable.

Parameters:

  | edge | buffer with film edge code information

void dpx::GenericHeader::SetFileName | ( | const char * | fn | ) | `[inline, inherited]`

Set the file name.

Parameters:

  | fn | buffer with filename

void dpx::GenericHeader::SetFileSize | ( | const U32 | fs | ) | `[inline, inherited]`

Set the size of the entire file.

Parameters:

  | fs | file size in bytes

void dpx::IndustryHeader::SetFormat | ( | const char * | fmt | ) | `[inline, inherited]`

Set the format (e.g., Academy).

Parameters:

  | fmt | buffer with format information

void dpx::IndustryHeader::SetFrameId | ( | const char * | id | ) | `[inline, inherited]`

Set the user-defined frame identification.

Parameters:

  | id | buffer with frame identification

void dpx::IndustryHeader::SetFramePosition | ( | const U32 | pos | ) | `[inline, inherited]`

Set the frame position in sequence.

Parameters:

  | pos | position

void dpx::IndustryHeader::SetFrameRate | ( | const R32 | rate | ) | `[inline, inherited]`

Set the frame rate (frames / second).

Parameters:

  | rate | rate

void dpx::IndustryHeader::SetGamma | ( | const R32 | g | ) | `[inline, inherited]`

Set the applied gamma correction.

Parameters:

  | g | gamma

void dpx::IndustryHeader::SetHeldCount | ( | const U32 | count | ) | `[inline, inherited]`

Set the how many sequential frames for which to hold current frame.

Parameters:

  | count | count

void dpx::GenericHeader::SetHighData | ( | const int | i,
|  | const U32 | data |
| ) |  |  | `[inline, inherited]`

Set the maximum data value.

Parameters:

  | i | element index (0-7)
  | data | maximum value

void dpx::GenericHeader::SetHighQuantity | ( | const int | i,
|  | const R32 | quant |
| ) |  |  | `[inline, inherited]`

Set the quantity of maximum data value.

Parameters:

  | i | element index (0-7)
  | quant | quantity

void dpx::IndustryHeader::SetHorizontalSampleRate | ( | const R32 | rate | ) | `[inline, inherited]`

Set the clock rate at which samples were aquired.

Parameters:

  | rate | rate

void dpx::GenericHeader::SetImageDescriptor | ( | const int | i,
|  | const Descriptor | desc |
| ) |  |  | `[inline, inherited]`

Set the component defintion.

Parameters:

  | i | element index (0-7)
  | desc | component descriptor

void dpx::GenericHeader::SetImageEncoding | ( | const int | i,
|  | const Encoding | enc |
| ) |  |  | `[inline, inherited]`

Set the encoding method.

Parameters:

  | i | element index (0-7)
  | enc | encoding method

void dpx::GenericHeader::SetImageOffset | ( | const U32 | offset | ) | `[inline, inherited]`

Set the offset in bytes to the start of the first image element.

Parameters:

  | offset | offset in bytes

void dpx::GenericHeader::SetImageOrientation | ( | const Orientation | orient | ) | `[inline, inherited]`

Set the image orientation.

Parameters:

  | orient | orientation

void dpx::GenericHeader::SetImagePacking | ( | const int | i,
|  | const Packing | pack |
| ) |  |  | `[inline, inherited]`

Set the data packing mode.

Parameters:

  | i | element index (0-7)
  | pack | packing method

void dpx::GenericHeader::SetInputDevice | ( | const char * | dev | ) | `[inline, inherited]`

Set the input device name.

Parameters:

  | dev | buffer with device name

void dpx::GenericHeader::SetInputDeviceSerialNumber | ( | const char * | sn | ) | `[inline, inherited]`

Set the input device serial number.

Parameters:

  | sn | buffer with device serial number

void dpx::IndustryHeader::SetIntegrationTimes | ( | const R32 | times | ) | `[inline, inherited]`

Set the temporal sampling rate of television cameras.

Parameters:

  | times | rate

void dpx::IndustryHeader::SetInterlace | ( | const U8 | lace | ) | `[inline, inherited]`

Set the interlace (0 = noninterlace, 1 = 2:1 interlace).

Parameters:

  | lace | interlace value

void dpx::GenericHeader::SetLinesPerElement | ( | const U32 | lpe | ) | `[inline, inherited]`

Set the lines per element.

Parameters:

  | lpe | lines count

void dpx::GenericHeader::SetLowData | ( | const int | i,
|  | const U32 | data |
| ) |  |  | `[inline, inherited]`

Set the minimum data value.

Parameters:

  | i | element index (0-7)
  | data | minimum value

void dpx::GenericHeader::SetLowQuantity | ( | const int | i,
|  | const R32 | quant |
| ) |  |  | `[inline, inherited]`

Set the quantity of minimum data value.

Parameters:

  | i | element index (0-7)
  | quant | quantity

void dpx::GenericHeader::SetNumberOfElements | ( | const U16 | num | ) | `[inline, inherited]`

Set the number of elements.

Parameters:

  | num | element count

void dpx::GenericHeader::SetPixelsPerLine | ( | const U32 | ppl | ) | `[inline, inherited]`

Set the pixels per line.

Parameters:

  | ppl | pixel count

void dpx::GenericHeader::SetProject | ( | const char * | prj | ) | `[inline, inherited]`

Set the project.

Parameters:

  | prj | buffer with project

void dpx::IndustryHeader::SetSequenceLength | ( | const U32 | len | ) | `[inline, inherited]`

Set the total number of frames in sequence.

Parameters:

  | len | length

void dpx::IndustryHeader::SetShutterAngle | ( | const R32 | angle | ) | `[inline, inherited]`

Set the shutter angle of the motion picture camera.

Parameters:

  | angle | degress of the temporal sampling aperture

void dpx::IndustryHeader::SetSignal | ( | const VideoSignal | vs | ) | `[inline, inherited]`

Set the video sournce.

Parameters:

  | vs | signal

void dpx::IndustryHeader::SetSlateInfo | ( | const char * | slate | ) | `[inline, inherited]`

Set the production information from the camera slate.

Parameters:

  | slate | buffer with slate information

void dpx::GenericHeader::SetSourceImageFileName | ( | const char * | fn | ) | `[inline, inherited]`

Set the source image file name that this image was extracted.

Parameters:

  | fn | buffer with source file name

void dpx::GenericHeader::SetSourceTimeDate | ( | const long | secs | ) | `[inherited]`

Set the source image time and date that this image was extracted.

Parameters:

  | secs | number of seconds since January 1, 1970 00:00

void dpx::GenericHeader::SetSourceTimeDate | ( | const char * | td | ) | `[inline, inherited]`

Set the source image time and date that this image was extracted.

Parameters:

  | td | buffer with time/date string

void dpx::IndustryHeader::SetTemporalFrameRate | ( | const R32 | rate | ) | `[inline, inherited]`

Set the applied gamma correction.

Parameters:

  | rate | gamma

void dpx::IndustryHeader::SetTimeCode | ( | const char * | str | ) | `[inherited]`

Set the time code.

Parameters:

  | str | buffer with time code

void dpx::IndustryHeader::SetTimeOffset | ( | const R32 | offset | ) | `[inline, inherited]`

Set the time offset from sync to first pixel.

Parameters:

  | offset | time in microseconds

void dpx::GenericHeader::SetTransfer | ( | const int | i,
|  | const Characteristic | ch |
| ) |  |  | `[inline, inherited]`

Set the amplitude transfer function.

Parameters:

  | i | element index (0-7)
  | ch | transfer characteristic

void dpx::IndustryHeader::SetUserBits | ( | const char * | str | ) | `[inherited]`

Set the user bits.

Parameters:

  | str | buffer with user bits

void dpx::GenericHeader::SetUserSize | ( | const U32 | size | ) | `[inline, inherited]`

Set the size of the user data.

Parameters:

  | size | user data size in bytes

void dpx::GenericHeader::SetVersion | ( | const char * | v | ) | `[inline, inherited]`

Set the version string.

Parameters:

  | v | version string

void dpx::IndustryHeader::SetVerticalSampleRate | ( | const R32 | rate | ) | `[inline, inherited]`

Set the rate at which scanning the whole image is repeated.

Parameters:

  | rate | rate

void dpx::IndustryHeader::SetWhiteLevel | ( | const R32 | wl | ) | `[inline, inherited]`

Set the reference white level.

Parameters:

  | wl | value

void dpx::GenericHeader::SetXCenter | ( | const R32 | center | ) | `[inline, inherited]`

Set the X image center in pixels.

Parameters:

  | center | pixel position

void dpx::GenericHeader::SetXOffset | ( | const U32 | offset | ) | `[inline, inherited]`

Set the line offset (in pixels) from the first pixel in original image.

Parameters:

  | offset | offset count

void dpx::GenericHeader::SetXOriginalSize | ( | const U32 | size | ) | `[inline, inherited]`

GSt the number of pixels per line in the original image.

Parameters:

  | size | size

void dpx::GenericHeader::SetXScannedSize | ( | const R32 | size | ) | `[inline, inherited]`

Set the horizontal size of the original scanned optical image.

Parameters:

  | size | size in millimeters

void dpx::GenericHeader::SetYCenter | ( | const R32 | center | ) | `[inline, inherited]`

Set the Y image center in pixels.

Parameters:

  | center | pixel position

void dpx::GenericHeader::SetYOffset | ( | const U32 | offset | ) | `[inline, inherited]`

Set the frame offset (in lines) from the first line in original image.

Parameters:

  | offset | offset count

void dpx::GenericHeader::SetYOriginalSize | ( | const U32 | size | ) | `[inline, inherited]`

Set the number of lines per image in the original image.

Parameters:

  | size | size

void dpx::GenericHeader::SetYScannedSize | ( | const R32 | size | ) | `[inline, inherited]`

Set the vertical size of the original scanned optical image.

Parameters:

  | size | size in millimeters

R32 dpx::IndustryHeader::ShutterAngle | ( |  | ) | const`[inline, inherited]`

Get the shutter angle of the motion picture camera.

Returns:
  degress of the temporal sampling aperture

VideoSignal dpx::IndustryHeader::Signal | ( |  | ) | const`[inline, inherited]`

Get the video sournce.

Returns:
  signal

const U32 dpx::Header::Size | ( |  | ) | const`[inline]`

Returns the size of the header.

Returns:
  2048 as defined by the standard

void dpx::IndustryHeader::SlateInfo | ( | char * | slate | ) | const`[inline, inherited]`

Get the production information from the camera slate.

Parameters:

  | slate | buffer to write slate information (100+1 chars)

void dpx::GenericHeader::SourceImageFileName | ( | char * | fn | ) | const`[inline, inherited]`

Get the source image file name that this image was extracted.

Parameters:

  | fn | buffer to write source file name (100+1)

void dpx::GenericHeader::SourceTimeDate | ( | char * | td | ) | const`[inline, inherited]`

Get the source image time and date that this image was extracted.

Parameters:

  | td | buffer to write time/date string (24+1)

dpx::U32 dpx::IndustryHeader::TCFromString | ( | const char * | str | ) | const`[protected, inherited]`

R32 dpx::IndustryHeader::TemporalFrameRate | ( |  | ) | const`[inline, inherited]`

Get the applied gamma correction.

Returns:
  rate

void dpx::IndustryHeader::TimeCode | ( | char * | str | ) | const`[inherited]`

Get the time code.

Parameters:

  | str | buffer to write time code (12 chars)

R32 dpx::IndustryHeader::TimeOffset | ( |  | ) | const`[inline, inherited]`

Get the time offset from sync to first pixel.

Returns:
  time in microseconds

Characteristic dpx::GenericHeader::Transfer | ( | const int | i | ) | const`[inline, inherited]`

Get the amplitude transfer function.

Parameters:

  | i | element index (0-7)

Returns:
  transfer characteristic

void dpx::IndustryHeader::UserBits | ( | char * | str | ) | const`[inherited]`

Get the user bits.

Parameters:

  | str | buffer to write user bits (12 chars)

U32 dpx::GenericHeader::UserSize | ( |  | ) | const`[inline, inherited]`

Get the size of the user data.

Returns:
  user data size in bytes

bool dpx::Header::Validate | ( |  | ) |

Validate the header.

bool dpx::Header::ValidMagicCookie | ( | const U32 | magic | ) | `[static]`

Check magic cookie.

Returns:
  valid true/false

void dpx::GenericHeader::Version | ( | char * | v | ) | const`[inline, inherited]`

Get current version string of header.

Parameters:

  | v | buffer to place string, needs to be at least 8+1 bytes long

R32 dpx::IndustryHeader::VerticalSampleRate | ( |  | ) | const`[inline, inherited]`

Get the rate at which scanning the whole image is repeated.

Returns:
  rate

R32 dpx::IndustryHeader::WhiteLevel | ( |  | ) | const`[inline, inherited]`

Get the reference white level.

Returns:
  value

dpx::U32 dpx::Header::Width | ( |  | ) | const

Width of the element adjusted for orientation.

Returns:
  width

bool dpx::Header::Write | ( | OutStream * | io | ) |

Set the Output Stream object to write header to.

bool dpx::Header::WriteOffsetData | ( | OutStream * | io | ) |

R32 dpx::GenericHeader::XCenter | ( |  | ) | const`[inline, inherited]`

Get the X image center in pixels.

Returns:
  pixel position

U32 dpx::GenericHeader::XOffset | ( |  | ) | const`[inline, inherited]`

Get the line offset (in pixels) from the first pixel in original image.

Returns:
  offset count

U32 dpx::GenericHeader::XOriginalSize | ( |  | ) | const`[inline, inherited]`

Get the number of pixels per line in the original image.

Returns:
  size

R32 dpx::GenericHeader::XScannedSize | ( |  | ) | const`[inline, inherited]`

Get the horizontal size of the original scanned optical image.

Returns:
  size in millimeters

R32 dpx::GenericHeader::YCenter | ( |  | ) | const`[inline, inherited]`

Get the Y image center in pixels.

Returns:
  pixel position

U32 dpx::GenericHeader::YOffset | ( |  | ) | const`[inline, inherited]`

Get the frame offset (in lines) from the first line in original image.

Returns:
  offset count

U32 dpx::GenericHeader::YOriginalSize | ( |  | ) | const`[inline, inherited]`

Get the number of lines per image in the original image.

Returns:
  size

R32 dpx::GenericHeader::YScannedSize | ( |  | ) | const`[inline, inherited]`

Get the vertical size of the original scanned optical image.

Returns:
  size in millimeters

## Member Data Documentation

U32 dpx::GenericHeader::aspectRatio[2]`[inherited]`

Pixel aspect ratio (horizontal:vertical).

R32 dpx::IndustryHeader::blackGain`[inherited]`

Black gain.

R32 dpx::IndustryHeader::blackLevel`[inherited]`

Black level.

U16 dpx::GenericHeader::border[4]`[inherited]`

Border validity.

R32 dpx::IndustryHeader::breakPoint`[inherited]`

Break point.

ImageElement dpx::GenericHeader::chan[MAX_ELEMENTS]`[inherited]`

Image element data structures.

ASCII dpx::GenericHeader::copyright[200]`[inherited]`

Copyright statement.

ASCII dpx::IndustryHeader::count[4]`[inherited]`

Film edge code count.

ASCII dpx::GenericHeader::creationTimeDate[24]`[inherited]`

Create date time /see DateTimeFormat.

ASCII dpx::GenericHeader::creator[100]`[inherited]`

Creator.

bool dpx::Header::datumSwap`[protected]`

U32 dpx::GenericHeader::dittoKey`[inherited]`

Ditto Key (0 = same as previous frame, 1 = new).

U32 dpx::GenericHeader::encryptKey`[inherited]`

Encryption Key (0xffffffff if unencrypted).

U8 dpx::IndustryHeader::fieldNumber`[inherited]`

Field number.

ASCII dpx::GenericHeader::fileName[100]`[inherited]`

File name.

U32 dpx::GenericHeader::fileSize`[inherited]`

Total file size (in bytes).

ASCII dpx::IndustryHeader::filmManufacturingIdCode[2]`[inherited]`

Film edge code manufacturing ID code.

ASCII dpx::IndustryHeader::filmType[2]`[inherited]`

Film edge code type.

ASCII dpx::IndustryHeader::format[32]`[inherited]`

Format string, e.g. Academy.

ASCII dpx::IndustryHeader::frameId[32]`[inherited]`

Frame identification, e.g. keyframe.

U32 dpx::IndustryHeader::framePosition`[inherited]`

Frame position in sequence.

R32 dpx::IndustryHeader::frameRate`[inherited]`

Frame rate of original (frame / sec).

R32 dpx::IndustryHeader::gamma`[inherited]`

Gamma.

U32 dpx::GenericHeader::genericSize`[inherited]`

Generic Header length (in bytes).

U32 dpx::IndustryHeader::heldCount`[inherited]`

Held count (1 = default).

R32 dpx::IndustryHeader::horizontalSampleRate`[inherited]`

Horizontal sample rate (in Hz).

U32 dpx::GenericHeader::imageOffset`[inherited]`

Offset to image data (in bytes).

U16 dpx::GenericHeader::imageOrientation`[inherited]`

Image orientation.

See also:
  Orientation

U32 dpx::GenericHeader::industrySize`[inherited]`

Industry Header length (in bytes).

ASCII dpx::GenericHeader::inputDevice[32]`[inherited]`

Input device name.

ASCII dpx::GenericHeader::inputDeviceSerialNumber[32]`[inherited]`

Input device serial number.

R32 dpx::IndustryHeader::integrationTimes`[inherited]`

Integration time (in sec).

U8 dpx::IndustryHeader::interlace`[inherited]`

Interlace (0 = noninterlace, 1 = 2:1 interlace).

U32 dpx::GenericHeader::linesPerElement`[inherited]`

Lines per element.

U32 dpx::GenericHeader::magicNumber`[inherited]`

Indicates start of DPX image file and is used to determine byte order.

U16 dpx::GenericHeader::numberOfElements`[inherited]`

Number of elements (1-8).

ASCII dpx::IndustryHeader::perfsOffset[2]`[inherited]`

Film edge code offset in perfs.

U32 dpx::GenericHeader::pixelsPerLine`[inherited]`

Pixels per line.

ASCII dpx::IndustryHeader::prefix[6]`[inherited]`

Film edge code prefix.

ASCII dpx::GenericHeader::project[200]`[inherited]`

Project name.

ASCII dpx::GenericHeader::reserved1[104]`[inherited]`

Reserved.

ASCII dpx::GenericHeader::reserved2[52]`[inherited]`

Reserved.

ASCII dpx::GenericHeader::reserved3[20]`[inherited]`

Reserved.

ASCII dpx::IndustryHeader::reserved4[56]`[inherited]`

Reserved.

ASCII dpx::IndustryHeader::reserved5[76]`[inherited]`

Reserved.

U32 dpx::IndustryHeader::sequenceLength`[inherited]`

Sequence length.

R32 dpx::IndustryHeader::shutterAngle`[inherited]`

Shutter angle of camera (degrees).

ASCII dpx::IndustryHeader::slateInfo[100]`[inherited]`

Slate information.

ASCII dpx::GenericHeader::sourceImageFileName[100]`[inherited]`

Source image file name.

ASCII dpx::GenericHeader::sourceTimeDate[24]`[inherited]`

Source date and time /see DateTimeFormat.

R32 dpx::IndustryHeader::temporalFrameRate`[inherited]`

Temporal sample rate (in Hz).

U32 dpx::IndustryHeader::timeCode`[inherited]`

Time code.

R32 dpx::IndustryHeader::timeOffset`[inherited]`

Time offset from sync to first pixel (in ms).

U32 dpx::IndustryHeader::userBits`[inherited]`

User bits.

U32 dpx::GenericHeader::userSize`[inherited]`

User defined header length (in bytes).

ASCII dpx::GenericHeader::version[8]`[inherited]`

Version number of header format.

R32 dpx::IndustryHeader::verticalSampleRate`[inherited]`

Vertical sample rate (in Hz).

U8 dpx::IndustryHeader::videoSignal`[inherited]`

Video signal.

See also:
  VideoSignal

R32 dpx::IndustryHeader::whiteLevel`[inherited]`

White level.

R32 dpx::GenericHeader::xCenter`[inherited]`

X center.

U32 dpx::GenericHeader::xOffset`[inherited]`

X offset.

U32 dpx::GenericHeader::xOriginalSize`[inherited]`

X original size.

R32 dpx::GenericHeader::xScannedSize`[inherited]`

X scanned size.

R32 dpx::GenericHeader::yCenter`[inherited]`

Y center.

U32 dpx::GenericHeader::yOffset`[inherited]`

Y offset.

U32 dpx::GenericHeader::yOriginalSize`[inherited]`

Y original size.

R32 dpx::GenericHeader::yScannedSize`[inherited]`

Y scanned size.

U8 dpx::IndustryHeader::zero`[inherited]`

Structure alignment padding.

The documentation for this struct was generated from the following files:

- /Users/patrick/Development/DPX/svn/source/DPXHeader.h
- /Users/patrick/Development/DPX/svn/source/DPXHeader.cpp